#ifndef DIALOGLOGIN_H
#define DIALOGLOGIN_H

#include <QDialog>

namespace Ui {
class DialogLogin;
}

class MainWindow;
class QSerialPort;
class QSettings;
class AppSerial;
class ModbusRTU;

class DialogLogin : public QDialog
{
    Q_OBJECT

public:
    explicit DialogLogin(QWidget *parent = nullptr);
    ~DialogLogin();

private:
    Ui::DialogLogin *ui;

public:

private:
    MainWindow *m_MainWindow;
    AppSerial *m_Serial;
    ModbusRTU *m_ModbusRTU;
    QSettings *ini;
    // QThread *thread;
    int BCUNumbers;

signals:
    void sendBCUNumberSignals(int number);
    void sendLanNumberSignals(int number);

private slots:
    void slot_comChangeStatus(QString name, bool flag);
    void slot_btnConnect_clicked();

private:
    void init();
    void serialInit();
    void modbusRTUInit();
    void mainwindowInit();
};

#endif // DIALOGLOGIN_H
